Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008041opensim[REGION] OpenSim Corepublic2016-10-25 08:432016-11-02 03:14
Reporternixnerd 
Assigned Toaiaustin 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0008041: save iar command ignores password component
DescriptionAny password can be entered, for any user, when issuing the "save iar" command.

Its my understanding, this is due to the password check code being commented out at the bottom of the file /Opensim/Region/CoreModules/Avatar/Inventory/Archiver/InventoryArchiverModule.cs

I should add, I'm not a dot net coder
Steps To ReproduceIssue the save iar command for any user in the console, ensuring you use an incorrect password paramater
TagsNo tags attached.
Git Revision or version number586e4cf 2016-10-17 19:16:07 +0100
Run Mode Grid (1 Region per Sim)
Physics EngineOther
EnvironmentMono / Linux64
Mono VersionOther
Viewer
Attached Files

- Relationships

-  Notes
(0031213)
UbitUmarov (administrator)
2016-10-25 13:16

thx, fixed on master

[20:16] <cia-opensim> mantis 8041: check target user password on save/load IAR
[20:16] <cia-opensim> http://opensimulator.org/viewgit/?a=commit&p=opensim&h=db0c26814011764c381a432b5542e03433081811 [^]
(0031224)
aiaustin (developer)
2016-11-02 03:14

Resolved in latest versions.

- Issue History
Date Modified Username Field Change
2016-10-25 08:43 nixnerd New Issue
2016-10-25 13:16 UbitUmarov Note Added: 0031213
2016-11-02 03:14 aiaustin Note Added: 0031224
2016-11-02 03:14 aiaustin Status new => resolved
2016-11-02 03:14 aiaustin Fixed in Version => master (dev code)
2016-11-02 03:14 aiaustin Resolution open => fixed
2016-11-02 03:14 aiaustin Assigned To => aiaustin
2016-11-02 03:14 aiaustin Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker